Bug 838155 - [abrt] coreutils-8.12-7.fc16: __GI_getenv: Process /usr/bin/uniq was killed by signal 11 (SIGSEGV)
[abrt] coreutils-8.12-7.fc16: __GI_getenv: Process /usr/bin/uniq was killed b...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
abrt_hash:803b15662a6a8b550d1c65a224a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-06 16:58 EDT by Olivier
Modified: 2012-12-13 03:32 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-13 03:32:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (9.44 KB, text/plain)
2012-07-06 16:59 EDT, Olivier
no flags Details

  None (edit)
Description Olivier 2012-07-06 16:58:56 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        uniq -c
crash_function: __GI_getenv
executable:     /usr/bin/uniq
kernel:         3.4.2-1.fc16.x86_64
pid:            24465
pwd:            /home/olivier
time:           Fri 06 Jul 2012 10:57:23 PM CEST
uid:            1000
username:       olivier

backtrace:      Text file, 9665 bytes

build_ids:
:9efd824bf587def50099e2ae657a5cce012fa658
:67f37ff9c352e75222b03f0bc282f6ec8ed157c8
:3a2c00058f6bc91272c8846d553d3834fab0f3c2

dso_list:
:/usr/bin/uniq coreutils-8.12-7.fc16.x86_64 (Fedora Project) 1334647525
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1338379677
:/usr/lib/locale/locale-archive glibc-common-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1338379672
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1338379677

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=2603
:HOSTNAME=tannat
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-1SQPuq/gpg:0:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=470eef6a4faa8ee64ce4c7c20000000d-1341273064.392580-1638370461
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-1SQPuq
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=olivier
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/keyring-1SQPuq/ssh
:USERNAME=olivier
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2658,unix/unix:/tmp/.ICE-unix/2658
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/olivier
:DESKTOP_SESSION=xfce
:PATH=/home/olivier/Documents/exe:/usr/lib64/openmpi/bin:/home/opt/bin:/home/tax3bin:.:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/olivier/.local/bin:/home/olivier/bin
:QT_IM_MODULE=xim
:PWD=/home/olivier
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=2455
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:LOADEDMODULES=
:KDEDIRS=/usr
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=4
:XDG_SEAT=seat0
:HOME=/home/olivier
:LOGNAME=olivier
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-QuHTTafLOF,guid=76dcc88403b611f078b1fd3f0000002f
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/olivier
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-olivier-PHoxQC/database
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_=/usr/bin/uniq

maps:
:00400000-00409000 r-xp 00000000 fd:05 2789863                            /usr/bin/uniq
:00608000-00609000 r--p 00008000 fd:05 2789863                            /usr/bin/uniq
:00609000-0060a000 rw-p 00009000 fd:05 2789863                            /usr/bin/uniq
:011aa000-011cb000 rw-p 00000000 00:00 0                                  [heap]
:34fb000000-34fb022000 r-xp 00000000 fd:05 1703965                        /lib64/ld-2.14.90.so
:34fb221000-34fb222000 r--p 00021000 fd:05 1703965                        /lib64/ld-2.14.90.so
:34fb222000-34fb223000 rw-p 00022000 fd:05 1703965                        /lib64/ld-2.14.90.so
:34fb223000-34fb224000 rw-p 00000000 00:00 0 
:34fb400000-34fb5ad000 r-xp 00000000 fd:05 1703966                        /lib64/libc-2.14.90.so
:34fb5ad000-34fb7ad000 ---p 001ad000 fd:05 1703966                        /lib64/libc-2.14.90.so
:34fb7ad000-34fb7b1000 r--p 001ad000 fd:05 1703966                        /lib64/libc-2.14.90.so
:34fb7b1000-34fb7b3000 rw-p 001b1000 fd:05 1703966                        /lib64/libc-2.14.90.so
:34fb7b3000-34fb7b8000 rw-p 00000000 00:00 0 
:7f6098545000-7f609e968000 r--p 00000000 fd:05 2791070                    /usr/lib/locale/locale-archive
:7f609e968000-7f609e96b000 rw-p 00000000 00:00 0 
:7f609e999000-7f609e99b000 rw-p 00000000 00:00 0 
:7fffb1caf000-7fffb1cd0000 rw-p 00000000 00:00 0                          [stack]
:7fffb1cd4000-7fffb1cd5000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

var_log_messages:
:Jul  6 22:57:23 tannat kernel: [247358.186774] uniq[24465]: segfault at 7ff7b1ccfca5 ip 00000034fb438f8c sp 00007fffb1ccdd80 error 4 in libc-2.14.90.so[34fb400000+1ad000]
:Jul  6 22:57:23 tannat abrt[24500]: Saved core dump of pid 24465 (/usr/bin/uniq) to /var/spool/abrt/ccpp-2012-07-06-22:57:23-24465 (385024 bytes)
Comment 1 Olivier 2012-07-06 16:59:00 EDT
Created attachment 596684 [details]
File: backtrace
Comment 2 Pádraig Brady 2012-07-06 19:08:19 EDT
That's a strange one.
If it is a bug I'd be inclined to think it's against glibc (2.14.90-24.fc16.7.x86_64)

There are similar failures in bug #746787 and bug #814235,
though they're in multithreaded programs.
uniq is not multithreaded, and I don't think implicit threads are created for it.

I presume this is not easily reproducible?
Comment 3 Ondrej Vasik 2012-07-07 13:15:24 EDT
Based on the backtrace it seems that this may be another flaw in downstream only multibyte i18n patch. Reporter, can you attach the reproducer files, if this issue is easily reproducible for you?
Comment 4 Olivier 2012-07-07 15:14:09 EDT
Hi Ondrej, Sorry I cannot reproduce this bug. It occured only once just after I logged in.
Comment 5 Ondrej Vasik 2012-12-13 03:32:46 EST
Doing cleanup. Closing this one insufficient data, like Pádraig said, maybe glibc glitch. Because it is not reproducable, for the reporter, further analysis is probably impossible. Feel free to reopen the issue if you'll be able to reproduce this segfault somehow.

Note You need to log in before you can comment on or make changes to this bug.